MUDRAW(1)

NAME
mudraw - render PDF/XPS/CBZ/EPUB documents

SYNOPSIS
mudraw [options] file [pages]

DESCRIPTION
mudraw will render a document of a supported document format to image files, convert to another vector format, or extract the text content. The supported input document formats are: pdf, xps, cbz, and epub. The supported output image formats are: pbm, pgm, ppm, pam, png, tga, pwg, and pcl. The supported output vector formats are: svg, pdf, and debug trace (as xml). The supported output text formats are: plain text, html, and structured text (as xml).

OPTIONS

-p password
    Use the specified password if the file is encrypted.

-o output
    The output format is inferred from the output file name. Embed %d in the name to indicate the page number (for example: "page%d.png"). Printf modifiers are supported, for example "%03d". If no output is specified, the output will go to stdout.

-F format
    Enforce a specific output format. Use this when outputting to stdout.

-R angle
    Rotate clockwise by given number of degrees.

-r resolution
    Render the page at the specified resolution. The default resolution is 72 dpi.

-w width
    Render the page at the specified width (or, if the -r flag is used, render with a maximum width).

-h height
    Render the page at the specified height (or, if the -r flag is used, render with a maximum height).

-f  Fit exactly; ignore the aspect ratio when matching specified width/heights.

-W width
    Page width in points for EPUB layout.

-H height
    Page height in points for EPUB layout.

-S size
    Font size in points for EPUB layout.

-c colorspace
    Render in the specified colorspace. Supported colorspaces are: mono, gray, grayalpha, rgb, rgbalpha, cmyk, cmykalpha. Some abbreviations are allowed: m, g, ga, rgba, cmyka. The default is chosen based on the output format.

-G gamma
    Apply gamma correction. Some typical values are 0.7 or 1.4 to thin or darken text rendering.

-I  Invert colors.

-s [mft5]
    Show various bits of information: memory use, features, timings, and/or md5 checksum.

-A bits
    Specify how many bits of anti-aliasing to use. The default is 8.

-D  Disable use of display lists. May cause slowdowns, but should reduce the amount of memory used. -i Ignore errors.

pages
    Comma separated list of page numbers and ranges (for example: 1,5,10-15). If no pages are specified, then all pages will be rendered.

SEE ALSO
mupdf(1), mutool(1).

AUTHOR
MuPDF is Copyright 2006-2015 Artifex Software, Inc.